package eu.cedarsoft.wicket.navigation;

import org.apache.wicket.markup.html.WebComponent;
import org.apache.wicket.markup.html.WebMarkupContainer;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;

import java.io.Serializable;

/**
 * Provides a link
 */
public interface LinkProvider extends Serializable {
  @NotNull
  WebMarkupContainer createLink( @NotNull @NonNls String id );

  @NotNull
  WebComponent createLabel( @NotNull @NonNls String id );
}